<?php

$chapitres = $args['data'];




$aNames = [
  'carrousel' => "Couverture Homepage",
  'couverture_landing' => "Couverture (landing)",
  'couverture_image' => "Couverture image (page, la maison)",
  'couverture_produit' => "Couverture (produit)",
  'grille' => "Grille (homepage)",
  'texte_1' => "Texte (Titre ↓ Intro ↓ Texte)",
  'produit_image_texte' => "Image | Texte (1/2 - 1/2)",
  'produit_texte_image' => "Texte image (2/3 - 1/3  vinification assemblage)",
  'image_texte_1' => "Image | Texte sur fond Noir",
  'texte_image_1' => "Texte | Image sur fond Noir",
  'image_texte_3' => "Titre ↓ Image ↓ Texte",
  'image_texte_image' => "Image | texte | Image",
  'texte_slider' => "Texte slider (produit)",
  '23_texte_13_image' => "2/3 texte 1/3 image",
  '13_image_23_texte' => "1/3 image 2/3 texte",
  'citation' => 'Citation',
  'liste_image' => 'Liste image (landing)',
  'liste' => 'Liste (la maison)',
  'colonnes' => 'Colonnes (produit - caracteristiques sensorielles)',
  'onglets_iterations' => 'Onglets (itérations)',
  'recompenses' => 'Récompenses (produit)',
  'les_vins_relationel' => 'Decouvrir les cuveés',
  'date_texte_image' => 'Date texte image (la maison)',
  'espacement' => 'espacement',
  'tableau' => 'Tableau',
];

// acf de base
$degrade_debut = get_field('degrade_debut');
$degrade_fin = get_field('degrade_fin');
$couleur = get_field('couleur');

if (is_array($chapitres) && count($chapitres) > 1) {
  foreach ($chapitres as $chapitre) {
    $titre_du_menu = isset($chapitre['titre_du_menu']) ? $chapitre['titre_du_menu'] : '';
    $id = getIDFromString($titre_du_menu);
    $flexible = $chapitre['flexible'];
    echo '<div class="scrollspy chapitre relative "  id="chapitre-' . $id . '">';
    if (get_the_ID() == 17305) {
      echo '<h2 class="!text-center section-title py-10 text-white bg-black !mx-0 !mb-0 mt-10"> ' . $titre_du_menu . '</h2>';
      }
    if (is_array($flexible)) {
      foreach ($flexible as $flex) {
        if (get_the_ID() == 17305) {

          echo '<h3 id="gab_' . $flex['acf_fc_layout'] . '" class="bg-gray !text-center section-title !text-2xl py-10 !m-0"> Nom du gabarit : ' . $aNames[$flex['acf_fc_layout']] . '</h3>';
          }
        echo '<section class="flexible relative ' . $flex['acf_fc_layout'] . '"  >';
        get_template_part('partials/flexible', $flex['acf_fc_layout'], ['data' => $flex]);
        echo '</section>';
        // include "./partials/flexible/" . $flex['acf_fc_layout'] . ".php";
        }
      }
    echo '</div>';
    }
  } else {
  $flexible = $chapitres[0]['flexible'];
  if (is_array($flexible)) {
    foreach ($flexible as $flex) {
      echo '<section class="flexible relative ' . $flex['acf_fc_layout'] . '"  >';
      get_template_part('partials/flexible', $flex['acf_fc_layout'], ['data' => $flex]);
      echo '</section>';
      // include "./partials/flexible/" . $flex['acf_fc_layout'] . ".php";
      }
    }
  }
